Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::Term Class Reference

A Term represents a word from text. This is the unit of search. It is composed of two elements, the text of the word, as a string, and the name of the field that the text occurred in, an interned string. More...

`#include <Term.h>`

Inheritance diagram for Lucene::Term:

## Public Member Functions

| Term (const String &fld, const String &txt=EmptyString)
| Constructs a Term with the given field and text. More...
virtual | ~Term ()
virtual String | getClassName ()
boost::shared_ptr< Term > | shared_from_this ()
String | field ()
| Returns the field of this term, an interned string. The field indicates the part of a document which this term came from. More...
String | text ()
| Returns the text of this term. In the case of words, this is simply the text of the word. In the case of dates and other types, this is an encoding of the object as a string. More...
TermPtr | createTerm (const String &text)
| Optimized construction of new Terms by reusing same field as this Term. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compares two terms, returning a negative integer if this term belongs before the argument, zero if this term is equal to the argument, and a positive integer if this term belongs after the argument. More...
void | set (const String &fld, const String &txt)
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

String | _field
String | _text

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

A Term represents a word from text. This is the unit of search. It is composed of two elements, the text of the word, as a string, and the name of the field that the text occurred in, an interned string.

Note that terms may represent more than words from text fields, but also things like dates, email addresses, urls, etc.

## Constructor & Destructor Documentation

Lucene::Term::Term | ( | const String & | fld,
|  | const String & | txt = `EmptyString`
| ) |  |

Constructs a Term with the given field and text.

virtual Lucene::Term::~Term | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::Term::_getClassName | ( | ) |  |

inline static

virtual int32_t Lucene::Term::compareTo | ( | LuceneObjectPtr | other) |  |

virtual

Compares two terms, returning a negative integer if this term belongs before the argument, zero if this term is equal to the argument, and a positive integer if this term belongs after the argument.

The ordering of terms is first by field, then by text.

Reimplemented from Lucene::LuceneObject.

TermPtr Lucene::Term::createTerm | ( | const String & | text) |  |

Optimized construction of new Terms by reusing same field as this Term.

Parameters

  text | The text of the new term (field is implicitly same as this Term instance)

Returns
  A new Term

virtual bool Lucene::Term::equals | ( | LuceneObjectPtr | other) |  |

virtual

Return whether two objects are equal.

Reimplemented from Lucene::LuceneObject.

String Lucene::Term::field | ( | ) |  |

Returns the field of this term, an interned string. The field indicates the part of a document which this term came from.

virtual String Lucene::Term::getClassName | ( | ) |  |

inline virtual

virtual int32_t Lucene::Term::hashCode | ( | ) |  |

virtual

Return hash code for this object.

Reimplemented from Lucene::LuceneObject.

void Lucene::Term::set | ( | const String & | fld,
|  | const String & | txt
| ) |  |

boost::shared_ptr< Term > Lucene::Term::shared_from_this | ( | ) |  |

inline

String Lucene::Term::text | ( | ) |  |

Returns the text of this term. In the case of words, this is simply the text of the word. In the case of dates and other types, this is an encoding of the object as a string.

virtual String Lucene::Term::toString | ( | ) |  |

virtual

Returns a string representation of the object.

Reimplemented from Lucene::LuceneObject.

## Field Documentation

String Lucene::Term::_field

String Lucene::Term::_text

The documentation for this class was generated from the following file:

- Term.h

clucene.sourceforge.net